Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
28.11.2021, 00:47:13

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 26097
  • Letzte: stan.e.p
Statistiken
  • Beiträge insgesamt: 764930
  • Themen insgesamt: 61375
  • Heute online: 474
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online
Mitglieder: 4
Gäste: 335
Gesamt: 339

Autor Thema: [gelöst]  Bekomme CHIRP nicht installiert  (Gelesen 327 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

[gelöst] Bekomme CHIRP nicht installiert
« am: 25.10.2021, 18:04:45 »
Hier erst mal meine Systemdaten:
rudi72@rudi72-Latitude-E6410:~$ inxi -Fz
System:
  Kernel: 5.4.0-89-generic x86_64 bits: 64 Desktop: Cinnamon 5.0.6
  Distro: Linux Mint 20.2 Uma
Machine:
  Type: Laptop System: Dell product: Latitude E6410 v: 0001 serial: <filter>
  Mobo: Dell model: 0667CC v: A03 serial: <filter> BIOS: Dell v: A17
  date: 05/12/2017
Battery:
  ID-1: BAT0 charge: 97.7 Wh condition: 97.7/97.7 Wh (100%)
CPU:
  Topology: Dual Core model: Intel Core i5 M 560 bits: 64 type: MT MCP
  L2 cache: 3072 KiB
  Speed: 1340 MHz min/max: 1199/2667 MHz Core speeds (MHz): 1: 1298 2: 1264
  3: 1373 4: 1330
Graphics:
  Device-1: Intel Core Processor Integrated Graphics driver: i915 v: kernel
  Display: x11 server: X.Org 1.20.11 driver: modesetting
  unloaded: fbdev,vesa resolution: 1280x720~60Hz, 1280x720~60Hz
  OpenGL: renderer: Mesa DRI Intel HD Graphics (ILK) v: 2.1 Mesa 21.0.3
Audio:
  Device-1: Intel 5 Series/3400 Series High Definition Audio
  driver: snd_hda_intel
  Sound Server: ALSA v: k5.4.0-89-generic
Network:
  Device-1: Intel 82577LM Gigabit Network driver: e1000e
  IF: eno1 state: down mac: <filter>
  Device-2: Intel Centrino Advanced-N 6200 driver: iwlwifi
  IF: wlp2s0 state: up mac: <filter>
  Device-3: Dell F3607gw v2 Mobile Broadband Module type: USB
  driver: cdc_acm,cdc_ether,cdc_wdm
  IF: wwx028037ec0200 state: down mac: <filter>
Drives:
  Local Storage: total: 1.96 TiB used: 1.54 TiB (78.6%)
  ID-1: /dev/sda vendor: Western Digital model: WD20SPZX-00CRAT0
  size: 1.82 TiB
  ID-2: /dev/sdb type: USB model: Mass Storage Device size: 149.05 GiB
Partition:
  ID-1: / size: 77.23 GiB used: 27.63 GiB (35.8%) fs: ext4 dev: /dev/sda4
  ID-2: /home size: 1.54 TiB used: 1.46 TiB (94.9%) fs: ext4 dev: /dev/sda6
  ID-3: swap-1 size: 4.66 GiB used: 80.5 MiB (1.7%) fs: swap dev: /dev/sda5
Sensors:
  System Temperatures: cpu: 54.0 C mobo: N/A sodimm: 44.0 C
  Fan Speeds (RPM): cpu: 3271
Info:
  Processes: 254 Uptime: 3d 3h 09m Memory: 7.70 GiB used: 4.13 GiB (53.6%)
  Shell: bash inxi: 3.0.38
rudi72@rudi72-Latitude-E6410:~$

Die Abfrage "python3 -V" ergibt Version 3.10.8
Die Chirp-Version die ich von der Chirp-Webseite heruntergeladen habe, ist die Daily 20211016.
Ich bekomme das Programm weder zum laufen, noch zu installieren.

Kann mir jemand helfen das Programm zum laufen zu bekommen?
« Letzte Änderung: 25.10.2021, 23:11:54 von rudi72 »

Re: Bekomme CHIRP nicht installiert
« Antwort #1 am: 25.10.2021, 19:49:14 »

Re: Bekomme CHIRP nicht installiert
« Antwort #2 am: 25.10.2021, 20:08:21 »
Für LM-20.2 vielleicht besser sudo apt-add-repository ppa:dansmith/chirp-snapshots
sudo apt-get update
sudo apt-get install chirp-daily
https://chirp.danplanet.com/projects/chirp/wiki/Running_Under_Linux

Re: Bekomme CHIRP nicht installiert
« Antwort #3 am: 25.10.2021, 20:29:15 »
Vielen Dank an euch beide. Aber diese Vorgehensweise habe ich schon probiert.
Ich poste euch mal die Systemmeldungen dieser Befehle:
rudi72@rudi72-Latitude-E6410:~$
rudi72@rudi72-Latitude-E6410:~$ sudo apt-add-repository ppa:dansmith/chirp-snapshots
[sudo] Passwort für rudi72:             
Sie sind dabei das folgende PPA hinzuzufügen:
 This is the official PPA archive for the CHIRP project.

READ THIS: If you are on 20.04 Focal or later, Ubuntu has removed some packages that are required for CHIRP to run. Most of them are available in another PPA, located here:

  https://launchpad.net/~nrbrtx/+archive/ubuntu/python2-stuff

Follow the install instructions for that PPA before you install this one!

Alternately, you can use the flatpak distribution of CHIRP, available on the CHIRP download page.
 Mehr Informationen: https://launchpad.net/~dansmith/+archive/ubuntu/chirp-snapshots
Zum Fortfahren bitte Eingabetaste drücken oder Strg+C zum Abbrechen

Executing: /tmp/apt-key-gpghome.KtQ9H5UwgB/gpg.1.sh --keyserver hkps://keyserver.ubuntu.com:443 --recv-keys 837E6991DE70A952C07AE7176EA1BC913BC5163F
gpg: Schlüssel 6EA1BC913BC5163F: "Launchpad PPA for Dan Smith" nicht geändert
gpg: Anzahl insgesamt bearbeiteter Schlüssel: 1
gpg:              unverändert: 1
rudi72@rudi72-Latitude-E6410:~$ sudo apt-get update
OK:1 http://ppa.launchpad.net/dansmith/chirp-snapshots/ubuntu focal InRelease
OK:2 http://archive.canonical.com/ubuntu focal InRelease                       
OK:3 http://ppa.launchpad.net/gezakovacs/ppa/ubuntu focal InRelease           
OK:4 https://linux.teamviewer.com/deb stable InRelease                         
OK:5 http://archive.ubuntu.com/ubuntu focal InRelease                         
Holen:6 https://repo.skype.com/deb stable InRelease [4.502 B]                 
Holen:7 http://archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]     
Holen:8 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]   
Ign:9 http://packages.linuxmint.com uma InRelease                             
Holen:10 http://archive.ubuntu.com/ubuntu focal-backports InRelease [101 kB]   
OK:11 http://packages.linuxmint.com uma Release                               
Fehl:6 https://repo.skype.com/deb stable InRelease         
  Die folgenden Signaturen waren ungültig: EXPKEYSIG 1F3045A5DF7587C3 Skype Linux Client Repository <se-um@microsoft.com>
Holen:12 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages [1.298 kB]
Holen:14 http://archive.ubuntu.com/ubuntu focal-updates/main i386 Packages [551 kB]
Holen:15 http://archive.ubuntu.com/ubuntu focal-updates/main Translation-en [269 kB]
Holen:16 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 DEP-11 Metadata [283 kB]
Holen:17 http://archive.ubuntu.com/ubuntu focal-updates/restricted amd64 Packages [523 kB]
Holen:18 http://archive.ubuntu.com/ubuntu focal-updates/restricted Translation-en [75,0 kB]
Holen:19 http://archive.ubuntu.com/ubuntu focal-updates/universe i386 Packages [642 kB]
Holen:20 http://archive.ubuntu.com/ubuntu focal-updates/universe amd64 Packages [866 kB]
Holen:21 http://archive.ubuntu.com/ubuntu focal-updates/universe amd64 DEP-11 Metadata [362 kB]
Holen:22 http://security.ubuntu.com/ubuntu focal-security/main amd64 DEP-11 Metadata [29,0 kB]
Holen:23 http://archive.ubuntu.com/ubuntu focal-updates/multiverse amd64 DEP-11 Metadata [940 B]
Holen:24 http://archive.ubuntu.com/ubuntu focal-backports/universe amd64 DEP-11 Metadata [10,4 kB]
Holen:25 http://security.ubuntu.com/ubuntu focal-security/universe amd64 DEP-11 Metadata [63,6 kB]
Holen:26 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 DEP-11 Metadata [2.464 B]
Es wurden 5.309 kB in 3 s geholt (2.039 kB/s).                           
Paketlisten werden gelesen... Fertig
W: Während der Überprüfung der Signatur trat ein Fehler auf. Das Depot wurde nicht aktualisiert und die vorherigen Indexdateien werden verwendet. GPG-Fehler: https://repo.skype.com/deb stable InRelease: Die folgenden Signaturen waren ungültig: EXPKEYSIG 1F3045A5DF7587C3 Skype Linux Client Repository <se-um@microsoft.com>
W: Fehlschlag beim Holen von https://repo.skype.com/deb/dists/stable/InRelease Die folgenden Signaturen waren ungültig: EXPKEYSIG 1F3045A5DF7587C3 Skype Linux Client Repository <se-um@microsoft.com>
W: Einige Indexdateien konnten nicht heruntergeladen werden. Sie wurden ignoriert oder alte an ihrer Stelle benutzt.
rudi72@rudi72-Latitude-E6410:~$ sudo apt-get install chirp-daily
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 chirp-daily : Hängt ab von: python-libxslt1 ist aber nicht installierbar
               Hängt ab von: python-gtk2 ist aber nicht installierbar
               Hängt ab von: python-serial ist aber nicht installierbar
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.
rudi72@rudi72-Latitude-E6410:~$ sudo apt-get install chirp
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paket chirp ist nicht verfügbar, wird aber von einem anderen Paket
referenziert. Das kann heißen, dass das Paket fehlt, dass es abgelöst
wurde oder nur aus einer anderen Quelle verfügbar ist.

E: Für Paket »chirp« existiert kein Installationskandidat.
rudi72@rudi72-Latitude-E6410:~$

Re: Bekomme CHIRP nicht installiert
« Antwort #4 am: 25.10.2021, 20:36:29 »
bei mir ist chirp in Synaptic zu finden

« Letzte Änderung: 25.10.2021, 22:55:50 von ede ede »

Re: Bekomme CHIRP nicht installiert
« Antwort #6 am: 25.10.2021, 21:47:43 »
READ THIS: If you are on 20.04 Focal or later, Ubuntu has removed some packages that are required for CHIRP to run. Most of them are available in another PPA, located here:

  https://launchpad.net/~nrbrtx/+archive/ubuntu/python2-stuff

Follow the install instructions for that PPA before you install this one!
[…]
chirp-daily : Hängt ab von: python-libxslt1 ist aber nicht installierbar
               Hängt ab von: python-gtk2 ist aber nicht installierbar
               Hängt ab von: python-serial ist aber nicht installierbar
Gelesen und befolgt ??
LinuxMint 20.x beruht auf Ubuntu 20.04 Focal
« Letzte Änderung: 25.10.2021, 21:54:50 von aexe »